package com.logicbig.example;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToMany;
import java.util.HashMap;
import java.util.Map;

@Entity
public class Employee {
    @Id
    @GeneratedValue
    private long id;
    private String name;
    @ManyToMany
    private Map<AssignInfo, Task> taskMap;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Map<AssignInfo, Task> getTaskMap() {
        return taskMap;
    }

    public void setTaskMap(Map<AssignInfo, Task> taskMap) {
        this.taskMap = taskMap;
    }

    public void addTask(AssignInfo info, Task task) {
        if (taskMap == null) {
            taskMap = new HashMap<>();
        }

        taskMap.put(info, task);
    }

    @Override
    public String toString() {
        return "Employee{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", taskMap=" + taskMap +
                '}';
    }
}